------------------------------------------------------------------------------------
--Name:  	wuseng4
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-01-16
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(351, 277)
local npc_0 = CppScriptMgr:AddSimplePlayer(39490, 356, 271, "", 0, 0)
npc_0:SetDir(0)
local monster_0 = CppScriptMgr:AddPlayer(156, 363, 282, "", 0, 0)
monster_0:SetDir(4)
local monster_1 = CppScriptMgr:AddPlayer(297, 359, 282, "", 0, 0)
monster_1:SetDir(4)
local monster_2 = CppScriptMgr:AddPlayer(219, 345, 276, "", 0, 0)
monster_2:SetDir(5)
local monster_3 = CppScriptMgr:AddPlayer(337, 359, 287, "", 0, 0)
monster_3:SetDir(4)
local monster_4 = CppScriptMgr:AddPlayer(179, 352, 286, "", 0, 0)
monster_4:SetDir(5)
local monster_5 = CppScriptMgr:AddPlayer(849, 344, 270, "", 0, 0)
monster_5:SetDir(6)
local monster_6 = CppScriptMgr:AddPlayer(286, 348, 270, "", 0, 0)
monster_6:SetDir(5)
local monster_7 = CppScriptMgr:AddPlayer(285, 348, 270, "", 0, 0)
monster_7:SetDir(6)
local monster_8 = CppScriptMgr:AddPlayer(126, 351, 278, "", 0, 0)
monster_8:SetDir(5)
local monster_9 = CppScriptMgr:AddPlayer(335, 346, 289, "", 0, 0)
monster_9:SetDir(5)
local monster_10 = CppScriptMgr:AddPlayer(338, 344, 282, "", 0, 0)
monster_10:SetDir(6)
local effect_0 = CppScriptMgr:AddEffect("NEW-flower-rain", 341, 277, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
monster_8:Say("Though the saintly monk has fallen, his righteousness endures.", 2000)
CppScriptMgr:WaitMilSec(2000)
monster_8:Say("This kindness and virtue shall forever be remembered.", 2000)
CppScriptMgr:WaitMilSec(3500)